Repository und Komponenten

german

#1

Hi NG,

können Komponenten aus anderen Versionen auf UCS Systemen installiert werden? z.B. alle UCS Server laufen auf 2.4.1 Es sollen aber Komponenten aus 2.2 oder 2.3 genutzt werden.

Das lokale Repository startet ab 2.4.0

lg


#2

Hallo,

Sie können alle Repositories ab UCS 2.0 verwenden. Bei der Verwendung von “apt.univention.de” als Repositoryserver werden diese in den entsprechenden Dateien unter “/etc/apt/sources.list.d/” eingetragen. Auf einem lokalen Repositoryserver müsste die UCR Variable “repository/mirror/version/start” auf das gewünschte Release gesetzt, und das Repository mit “univention-repository-update net” aktualisiert werden. Dies kann viel Festplattenplatz beanspruchen! Sie können auch temporär “apt.univention.de” verwenden um die gewünschten Pakete samt Abhängigkeiten zu installieren und daraufhin wieder auf das lokale Repository zurückkonfigurieren. Die bereits abgelegten Dateien werden nicht gelöscht, wenn die UCR Variable “local/repository” auf false gesetzt wird.
Weitere Informationen dazu finden Sie auch im aktuellen Handbuch, Kapitel 11.5 Repositoryverwaltung.

Mit freundlichen Grüssen
Tobias Scherer